<?php
/*
Plugin Name: 自定义邮件
Description: 用于Begin主题注册直接输入密码自定义邮件内容
Author: 知更鸟
Author URI: https://zmingcx.com/
 */

// 自定义邮件内容代码只能以插件形式修改
if ( !function_exists('wp_new_user_notification') ) :
function wp_new_user_notification($user_id, $plaintext_pass = '', $flag='') {
	if(func_num_args() > 1 && $flag !== 1)
		return;

	$user = new WP_User($user_id);

	$user_login = stripslashes($user->user_login);
	$user_email = stripslashes($user->user_email);

	$blogname = wp_specialchars_decode(get_option('blogname'), ENT_QUOTES);

	$message  = sprintf(__('您网站上的新用户注册 %s:'), $blogname) . "\r\n\r\n";
	$message .= sprintf(__('用户名: %s'), $user_login) . "\r\n\r\n";
	$message .= sprintf(__('E-mail: %s'), $user_email) . "\r\n";

	@wp_mail(get_option('admin_email'), sprintf(__('[%s] 新用户注册'), $blogname), $message);

	if ( empty($plaintext_pass) )
		return;

	$message  = sprintf(__('用户名: %s'), $user_login) . "\r\n";
	$message .= sprintf(__('密码: %s'), $plaintext_pass) . "\r\n";
	$message .= '网址: ' . home_url('/') . "\r\n";

	wp_mail($user_email, sprintf(__('[%s] 您的用户名和密码'), $blogname), $message);
}
endif;